package com.ruoyi.system.service_yada;

import com.ruoyi.system.domain_yada.ThematicMapDomain;

import java.util.List;

/**
 * 专题图服务
 * @Author: taco chen
 * @Date: 2022/5/11 11:40
 */
public interface ThematicMapService {


    /**
     * 获取全部专题图
     * @return
     */
    List<ThematicMapDomain> selectAll();

    /**
     * 删除专题图根据编号
     * @param id 编号
     * @return
     */
    Integer deleteById(Long id);

    /**
     * 保存专题图
     * @param thematicMapDomain
     * @return
     */
    Integer save(ThematicMapDomain thematicMapDomain);


}
