package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.RegionalSystemVO;
import com.ruoyi.system.mapper_yada.AustraliaMiddleEastMapper;
import com.ruoyi.system.mapper_yada.RegionalSystemMapper;
import com.ruoyi.system.service_yada.IRegionalSystemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 区域生态系统
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:46
 */
@Service
public class RegionalSystemServiceimpl implements IRegionalSystemService {

    @Resource
    private RegionalSystemMapper Regional;


    @Override
    public List<RegionalSystemVO> selectRegional() {
        return Regional.selectRegional();
    }

    @Override
    public Integer DelRegional(String id) {
        return Regional.DelRegional(id);
    }

    @Override
    public Integer IntoRegional(RegionalSystemVO eastVO) {
        return Regional.IntoRegional(eastVO);
    }

}
