package com.ruoyi.system.mapper_yada;

import com.ruoyi.system.domain_yada.ThematicMapDomain;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author taco chen
 */
public interface ThematicMapMapper {

    /**
     * 获取所有专题图
     * @return
     */
    List<ThematicMapDomain> selectAllThematicMap();

    /**
     * 删除专题图根据编号
     * @param id 编号
     * @return
     */
    Integer deleteThematicMap(Long id);

    /**
     * 保存专题图
     * @param thematicMapDomain
     * @return
     */
    Integer saveThematicMap(ThematicMapDomain thematicMapDomain);

}
